package com.sinosig.core.module.dao;

import com.sinosig.core.module.filter.CUSTOMERSearchContext;
import com.sinosig.core.module.dao.po.ICUSTOMERTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface ICUSTOMERTableDAO {

    ICUSTOMERTable createCustomerTable();

    ICUSTOMERTable get(String customerid);

    ICUSTOMERTable get(ICUSTOMERTable et);

    boolean create(ICUSTOMERTable et);

    boolean remove(String customerid);

    boolean update(ICUSTOMERTable et);


    List<ICUSTOMERTable> searchDefault(CUSTOMERSearchContext context);
}
